Last Comment Bug 878918 - Android compatible packaged apps aren't shown in search on android
: Android compatible packaged apps aren't shown in search on android
Status: VERIFIED FIXED
p=1
:
Product: Marketplace
Classification: Server Software
Component: Search (show other bugs)
: 1.0
: All Android
: P2 normal (vote)
: 2013-06-13
Assigned To: Rob Hudson [:robhudson]
:
:
Mentors:
Depends on:
Blocks: 835405
  Show dependency treegraph
 
Reported: 2013-06-03 11:34 PDT by Wil Clouser [:clouserw]
Modified: 2013-06-10 07:37 PDT (History)
8 users (show)
See Also:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Wil Clouser [:clouserw] 2013-06-03 11:34:02 PDT
STR:

1) Load marketplace.firefox.com in Firefox Aurora on your mobile phone
2) Search for "Kitchen Sink"

(There are more examples of packaged apps if you need them)

Expected Results:
- See Kitchen Sink search result

Actual Resuts:
- A message saying "No results found"
Comment 1 Rob Hudson [:robhudson] 2013-06-06 22:44:52 PDT
I loaded this on my old android phone. The app hit the API url:
https://marketplace-dev.allizom.org/api/v1/apps/search/?dev=android&device=mobile&lang=en-US&pro=ea7dd7fc.32.1&q=kitchen&region=us

These are the filters being applied from the logs:

u'filter': {u'and': [{u'term': {u'status': 4}},
                     {u'term': {u'type': 11}},
                     {u'term': {u'is_disabled': False}},
                     {u'term': {u'uses_flash': False}},
                     {u'term': {u'app_type': 1}},
                     {u'not': {u'filter': {u'and': [{u'range': {u'price': {u'gt': 0}}},
                                                    {u'in': {u'premium_type': [1, 2]}}]}}},
                     {u'term': {u'device': 2}}]},

A couple notes...

app_type: 1 means it's only looking for hosted apps. We're making the assumption that since we're on android we don't want packaged apps. Should we open up packaged apps for android devices (i.e. not filter by app_type:1)?

device: 2 means we're looking for apps that support android. According to the kitchensink apps page, it only supports Firefox OS (https://marketplace-dev.allizom.org/developers/app/kitchensink/payments/). I think our logic is correct here, but the app should be updated that it supports Firefox Mobile.
Comment 2 Bill Walker [:bwalker] [@wfwalker] 2013-06-07 06:54:18 PDT
(In reply to Rob Hudson [:robhudson] from comment #1)
> app_type: 1 means it's only looking for hosted apps. We're making the
> assumption that since we're on android we don't want packaged apps. Should
> we open up packaged apps for android devices (i.e. not filter by app_type:1)?

Yes, please allow packaged apps to appear in searches for Android devices.

> 
> device: 2 means we're looking for apps that support android. According to
> the kitchensink apps page, it only supports Firefox OS
> (https://marketplace-dev.allizom.org/developers/app/kitchensink/payments/).
> I think our logic is correct here, but the app should be updated that it
> supports Firefox Mobile.

Yes. Wil+Piotr, please update Kitchen Sink to say that it supports Android.
Comment 3 James Hugman [:jhugman] [@jhugman] 2013-06-07 08:24:27 PDT
To be clear, I am able to see the Kitchen Sink listing from Fennec by going to http://marketplace.mozilla.com/app/kitchensink .

Comment 1 and comment 2 both refer to https://marketplace-dev.allizom.org .
Comment 4 Rob Hudson [:robhudson] 2013-06-07 09:19:26 PDT
(In reply to James Hugman [:jhugman] [@jhugman] from comment #3)
> To be clear, I am able to see the Kitchen Sink listing from Fennec by going
> to http://marketplace.mozilla.com/app/kitchensink .

Yes, if you know the exact url you can get to the app. I believe there are bugs as to whether the install button will be enabled or not.
Comment 5 Rob Hudson [:robhudson] 2013-06-07 10:37:54 PDT
https://github.com/mozilla/zamboni/commit/c30c449 

To verify:
Submit a free packaged app and make sure firefox mobile is a device type. After approval verify a search for your packaged app from an android device finds your app.
Comment 6 Caitlin Galimidi [:c8o] 2013-06-07 11:09:34 PDT
now that we actually have firefox mobile devices - isn't this going to be confusing for app developers who would like to submit an app for the android platform?

shouldn't our device choices be
- android
- firefox OS
- desktop

?

Just checking...
Comment 7 Caitlin Galimidi [:c8o] 2013-06-07 11:11:53 PDT
never mind - ignore me.
Comment 8 Victor Carciu 2013-06-10 07:37:09 PDT
Verified as fixed . Tried with this app : https://marketplace-dev.allizom.org/app/blesuscri-thimartse-britonz/

Note You need to log in before you can comment on or make changes to this bug.